ProjectConfigurationException (Gradle API 8.14)
Description: declaration: package: org.gradle.api, class: ProjectConfigurationException

Package org.gradle.api

# Class ProjectConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.internal.exceptions.DefaultMultiCauseException
org.gradle.api.ProjectConfigurationException

All Implemented Interfaces:
  `Serializable`, `org.gradle.internal.exceptions.MultiCauseException`, `org.gradle.internal.exceptions.NonGradleCauseExceptionsHolder`, `org.gradle.internal.exceptions.ResolutionProvider`

public class ProjectConfigurationException extends org.gradle.internal.exceptions.DefaultMultiCauseException
Indicates a problem that occurs during project configuration.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectConfigurationException(String message, Iterable<? extends Throwable> causes)`
  Creates an exception with the given message and causes.
  `ProjectConfigurationException(String message, Throwable cause)`

- ## Method Summary

  ### Methods inherited from class org.gradle.internal.exceptions.DefaultMultiCauseException

  `getCause, getCauses, getMessage, getResolutions, hasCause, initCause, initCauses, printStackTrace, printStackTrace`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProjectConfigurationException

    public ProjectConfigurationException(String message, Throwable cause)

  - ### ProjectConfigurationException

    public ProjectConfigurationException(String message, Iterable<? extends Throwable> causes)
    Creates an exception with the given message and causes.
    Parameters:
      `message` - The message
      `causes` - The causes
    Since:
      5.1